/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 */
package org.xwiki.faq.test.po;

import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.xwiki.test.ui.po.InlinePage;

/**
 * Represents a FAQ entry page being added.
 *
 * @version $Id: 1c600858c8ae7475c179e785904841a65520ab02 $
 * @since 4.3M2
 */
public class FAQEntryEditPage extends InlinePage
{
    @FindBy(id = "FAQCode.FAQClass_0_answer")
    private WebElement answerElement;

    /**
     * @param answer the answer to type in the FAQ entry
     */
    public void setAnswer(String answer)
    {
        this.answerElement.clear();
        this.answerElement.sendKeys(answer);
    }
}
